# Class JdkDoclet.Html

java.lang.Object
uk.ac.starlink.ttools.build.JdkDoclet
uk.ac.starlink.ttools.build.JdkDoclet.Html

All Implemented Interfaces:
  `jdk.javadoc.doclet.Doclet`

Enclosing class:
  `JdkDoclet`

public static class JdkDoclet.Html extends JdkDoclet
Class for use with `javadoc` tool that writes MethodBrowser-friendly HTML output.

Doclet flags:

- `-d <base-dir>`
- `-headings`

Since:
  27 Jan 2023
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class JdkDoclet

`JdkDoclet.Html, JdkDoclet.Xml`

### Nested classes/interfaces inherited from interface jdk.javadoc.doclet.Doclet

`jdk.javadoc.doclet.Doclet.Option`

## Constructor Summary

Constructors
Constructor
Description
`Html()`
No-arg constructor required by doclet API.

## Method Summary

Modifier and Type
Method
Description
`protected DocletOutput`
`createOutput()`
Must provide a format-specific output backend.
`Set<jdk.javadoc.doclet.Doclet.Option>`
`getSupportedOptions()`

### Methods inherited from class JdkDoclet

`getName, getSupportedSourceVersion, init, run`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Html

public Html()
No-arg constructor required by doclet API.

## Method Details

### createOutput

protected DocletOutput createOutput() throws IOException
Description copied from class: `JdkDoclet`
Must provide a format-specific output backend. Called during the doclet `JdkDoclet.run(DocletEnvironment)` method, after option configuration.

Specified by:
  `createOutput` in class `JdkDoclet`
Returns:
  output instance
Throws:
  `IOException`

### getSupportedOptions

public Set<jdk.javadoc.doclet.Doclet.Option> getSupportedOptions()